Bug 825896 - [abrt] remmina-0.9.3-3.fc16: rdpdr_process_irp: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-0.9.3-3.fc16: rdpdr_process_irp: Process /usr/bin/remmina was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:96f0817fa10cd9b54c195e8f323...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 21:22 EDT by christopher.bua
Modified: 2013-02-13 08:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:23:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (24.15 KB, text/plain)
2012-05-28 21:22 EDT, christopher.bua
no flags Details
File: backtrace (63.62 KB, text/plain)
2012-05-28 21:22 EDT, christopher.bua
no flags Details
File: maps (48.54 KB, text/plain)
2012-05-28 21:22 EDT, christopher.bua
no flags Details
File: dso_list (10.19 KB, text/plain)
2012-05-28 21:22 EDT, christopher.bua
no flags Details
File: build_ids (4.36 KB, text/plain)
2012-05-28 21:22 EDT, christopher.bua
no flags Details

  None (edit)
Description christopher.bua 2012-05-28 21:22:13 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        remmina
comment:        Opened the application, Double clicked on a saved RDP sesssion. Session starts and the the whole application crashes. I am using vpn and connecting to a windows 7 desktop.
crash_function: rdpdr_process_irp
executable:     /usr/bin/remmina
kernel:         3.3.2-6.fc16.x86_64
pid:            27051
pwd:            /home/cbua
reason:         Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
time:           Sun 20 May 2012 09:11:18 PM EDT
uid:            1000
username:       cbua

backtrace:      Text file, 65146 bytes
build_ids:      Text file, 4469 bytes
dso_list:       Text file, 10438 bytes
event_log:      Text file, 24727 bytes
maps:           Text file, 49702 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=drifter
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=42a1528f9752cbfaf2679ae6000000af-1337023558.400362-1615193229
:GNOME_KEYRING_CONTROL=/tmp/keyring-uMHwCq
:IMSETTINGS_MODULE=none
:USER=cbua
:USERNAME=cbua
:MAIL=/var/spool/mail/cbua
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cbua/.local/bin:/home/cbua/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/cbua
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1436
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/cbua
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=cbua
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Gi3pRiPIdL,guid=8b57665cba36040a5de9e3de00000068
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/cbua
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-cbua-8ardpv/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1444,unix/unix:/tmp/.ICE-unix/1444
:GPG_AGENT_INFO=/tmp/keyring-uMHwCq/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-uMHwCq/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/remmina.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27051

smolt_data:
:
:
:General
:=================================
:UUID: 953fd65a-036b-491e-b1db-8d340b587680
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3590.81
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7100  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1801
:System Memory: 2986
:System Swap: 5023
:Vendor: LENOVO
:System: 7661WMJ ThinkPad T61
:Form factor: Notebook
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10280:6058:8360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10257:6058:8374) pci, None, PCI/ISA, T61
:(32902:4169:6058:8377) pci, e1000e, ETHERNET, ThinkPad T61
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10309:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:16935:32902:4112) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10756:6058:8401) pci, None, SIMPLE, Mobile PM965/GM965 MEI Controller
:(32902:10759:6058:8404) pci, serial, 16550_SERIAL, Mobile PM965/GM965 KT Controller
:(32902:10758:6058:8403) pci, ata_generic, STORAGE, Mobile PM965/GM965 PT IDER Controller
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10311:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(32902:10315:6058:8364) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T61
:(4480:1142:6058:8390) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:6058:8391) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_drifter-lv_root / ext4 4096 4096 12058300 8979406 8375246 3022848 2609713 2609713
:/dev/sda1 /boot ext4 1024 1024 508745 406753 381153 128016 127785 127785
:/dev/mapper/vg_drifter-lv_home /home ext4 4096 4096 6020450 5574298 5272423 1509600 1504752 1504752
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:May 20 21:11:18 drifter kernel: [150580.886691] remmina[27083]: segfault at 28 ip 00007f383d9e2bac sp 00007f383edeea90 error 4 in rdpdr.so[7f383d9df000+8000]
:May 20 21:11:20 drifter abrt[27084]: Saved core dump of pid 27051 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-05-20-21:11:18-27051 (68911104 bytes)

xsession_errors:
:abrt-applet: repeated problem in remmina-0.9.3-3.fc16, not showing the notification
:*** glibc detected *** remmina: free(): invalid next size (normal): 0x00007f8c703e97e0 ***
:/usr/lib64/remmina/plugins/remmina-plugin-rdp.so(+0x88fb)[0x7f8c81b948fb]
:/usr/lib64/remmina/plugins/remmina-plugin-rdp.so(+0x696d)[0x7f8c81b9296d]
:/usr/lib64/remmina/plugins/remmina-plugin-rdp.so(+0x700d)[0x7f8c81b9300d]
:00400000-00446000 r-xp 00000000 fd:02 2365001                            /usr/bin/remmina
:00645000-0064e000 rw-p 00045000 fd:02 2365001                            /usr/bin/remmina
:7f8c80ef1000-7f8c80efa000 r-xp 00000000 fd:02 2510393                    /usr/lib64/remmina/plugins/remmina-plugin-vnc.so
:7f8c80efa000-7f8c810f9000 ---p 00009000 fd:02 2510393                    /usr/lib64/remmina/plugins/remmina-plugin-vnc.so
:7f8c810f9000-7f8c810fa000 r--p 00008000 fd:02 2510393                    /usr/lib64/remmina/plugins/remmina-plugin-vnc.so
:7f8c810fa000-7f8c810fb000 rw-p 00009000 fd:02 2510393                    /usr/lib64/remmina/plugins/remmina-plugin-vnc.so
:7f8c810fb000-7f8c810ff000 r-xp 00000000 fd:02 2510403                    /usr/lib64/remmina/plugins/remmina-plugin-telepathy.so
:7f8c810ff000-7f8c812ff000 ---p 00004000 fd:02 2510403                    /usr/lib64/remmina/plugins/remmina-plugin-telepathy.so
:7f8c812ff000-7f8c81300000 r--p 00004000 fd:02 2510403                    /usr/lib64/remmina/plugins/remmina-plugin-telepathy.so
:7f8c81300000-7f8c81301000 rw-p 00005000 fd:02 2510403                    /usr/lib64/remmina/plugins/remmina-plugin-telepathy.so
:7f8c81301000-7f8c81304000 r-xp 00000000 fd:02 2510405                    /usr/lib64/remmina/plugins/remmina-plugin-xdmcp.so
:7f8c81304000-7f8c81503000 ---p 00003000 fd:02 2510405                    /usr/lib64/remmina/plugins/remmina-plugin-xdmcp.so
:7f8c81503000-7f8c81504000 r--p 00002000 fd:02 2510405                    /usr/lib64/remmina/plugins/remmina-plugin-xdmcp.so
:7f8c81504000-7f8c81505000 rw-p 00003000 fd:02 2510405                    /usr/lib64/remmina/plugins/remmina-plugin-xdmcp.so
:7f8c81b8c000-7f8c81b9f000 r-xp 00000000 fd:02 2510398                    /usr/lib64/remmina/plugins/remmina-plugin-rdp.so
:7f8c81b9f000-7f8c81d9f000 ---p 00013000 fd:02 2510398                    /usr/lib64/remmina/plugins/remmina-plugin-rdp.so
:7f8c81d9f000-7f8c81da0000 r--p 00013000 fd:02 2510398                    /usr/lib64/remmina/plugins/remmina-plugin-rdp.so
:7f8c81da0000-7f8c81da1000 rw-p 00014000 fd:02 2510398                    /usr/lib64/remmina/plugins/remmina-plugin-rdp.so
:7f8c81fc6000-7f8c81fd0000 r-xp 00000000 fd:02 2510390                    /usr/lib64/remmina/plugins/remmina-plugin-nx.so
:7f8c81fd0000-7f8c821d0000 ---p 0000a000 fd:02 2510390                    /usr/lib64/remmina/plugins/remmina-plugin-nx.so
:7f8c821d0000-7f8c821d1000 r--p 0000a000 fd:02 2510390                    /usr/lib64/remmina/plugins/remmina-plugin-nx.so
:7f8c821d1000-7f8c821d2000 rw-p 0000b000 fd:02 2510390                    /usr/lib64/remmina/plugins/remmina-plugin-nx.so
:abrt-applet: repeated problem in remmina-0.9.3-3.fc16, not showing the notification
:abrt-applet: repeated problem in remmina-0.9.3-3.fc16, not showing the notification
:abrt-applet: repeated problem in remmina-0.9.3-3.fc16, not showing the notification
Comment 1 christopher.bua 2012-05-28 21:22:19 EDT
Created attachment 587293 [details]
File: event_log
Comment 2 christopher.bua 2012-05-28 21:22:20 EDT
Created attachment 587294 [details]
File: backtrace
Comment 3 christopher.bua 2012-05-28 21:22:22 EDT
Created attachment 587295 [details]
File: maps
Comment 4 christopher.bua 2012-05-28 21:22:24 EDT
Created attachment 587296 [details]
File: dso_list
Comment 5 christopher.bua 2012-05-28 21:22:26 EDT
Created attachment 587297 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-01-16 07:49:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 08:23:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.